
FunctionSpace {
	{ Name A; Type Form1P;
		BasisFunction {
			{ Name se; NameOfCoef ae; Function BF_PerpendicularEdge;
			  Support Todo; Entity NodesOf[All]; }
		}	
		Constraint {
			{ NameOfCoef ae; EntityType NodesOf;
			  NameOfConstraint Ao; }
		}
	}

	{ Name E; Type Form1P;

		BasisFunction {
			{ Name sr; NameOfCoef er; Function BF_RegionZ;
			  Support Todo; Entity Todo; }
		}
		GlobalQuantity {
			{ Name U; Type  AliasOf;        NameOfCoef er; }
			{ Name I; Type  AssociatedWith; NameOfCoef er; }
		}
		Constraint {
			{ NameOfCoef U; EntityType Region;
			  NameOfConstraint Uo; }
		}
	}

	{ Name J; Type Vector;

		BasisFunction {
			{ Name sr; NameOfCoef jsr; Function BF_RegionZ;
			  Support ConducEst; Entity ConducEst; }
		}
		Constraint {
			{ NameOfCoef jsr; EntityType Region;
			  NameOfConstraint Jo; }
		}
	}
}



Formulation {
	{ Name Magnetismo; Type FemEquation;
		
		Quantity {
			{ Name a ; Type Local  ; NameOfSpace A; }
			{ Name e ; Type Local  ; NameOfSpace E; }
			{ Name I ; Type Global ; NameOfSpace E [I]; }
			{ Name U ; Type Global ; NameOfSpace E [U]; }
			{ Name js; Type Local  ; NameOfSpace J; }
		}

		Equation {
			Galerkin { [ nu[]*Dof{Curl a}, {Curl a}]; In Todo;
				Jacobian JacobVol; Integration Integra; }
		

			Galerkin { [ - Dof{js} , {a} ]; In ConducEst;
				Jacobian JacobVol; Integration Integra; }


			Galerkin { DtDof [ sigma[] * Dof{a} , {a} ]; In Rotor;
				Jacobian JacobVol; Integration Integra; }
			Galerkin { [ sigma[] * Dof{e} , {a} ]; In Rotor;
				Jacobian JacobVol; Integration Integra; }

			Galerkin { [ -sigma[] * Cross[velocity[],Dof{Curl a}],{a}]; In Rotor;
				Jacobian JacobVol; Integration Integra; }

			Galerkin { DtDof [ sigma[] * Dof{a} , {e} ]; In Rotor;
				Jacobian JacobVol; Integration Integra; }
			Galerkin { [ sigma[] * Dof{e} , {e} ]; In Rotor;
				Jacobian JacobVol; Integration Integra; }

			Galerkin { [ -sigma[] * Cross[velocity[],Dof{Curl a}],{e}]; In Rotor;
				Jacobian JacobVol; Integration Integra; }

			GlobalTerm { [ Dof{I} , {U} ]; In ConducRot; }
		}
	}
}


Resolution {
	{ Name Magnetismo;
		System {
			{ Name Sys_Mag; NameOfFormulation Magnetismo; 
			  Type ComplexValue; Frequency Frec; }	
		}
		Operation {
			Generate[Sys_Mag]; Solve[Sys_Mag]; SaveSolution[Sys_Mag];
		
		}
	}
}

PostProcessing {
	{ Name Magnet; NameOfFormulation Magnetismo;
		Quantity {
			{ Name a;
				Value {
					Local { [ {a} ]; In Todo; Jacobian JacobVol; }
				}
			}
			{ Name az;
				Value {
					Local { [ CompZ[{a}] ]; In Todo; Jacobian JacobVol; }
				}
			}
			{ Name agap;
				Value {
					Local { [ {a} ]; In Gap; Jacobian JacobVol; }
				}
			}			
			{ Name PVM;
				Value {
					Local { [ CompZ[{a}] ]; In Todo; Jacobian JacobVol; }
				}
			}
			{ Name fluxgap;
				Value {
					Local { [ {a} ]; In Gap; Jacobian JacobVol; }
				}
			}
			{ Name b;
				Value {
					Local { [ {Curl a} ]; In Todo; Jacobian JacobVol; }
				}
			}
			{ Name bgap;
				Value {
					Local { [ {Curl a} ]; In Gap; Jacobian JacobVol; }
				}
			}
			{ Name h;
				Value {
					Local { [ nu[] * {Curl a} ]; In Todo; Jacobian JacobVol; }
				}
			}
			{ Name jv;
				Value {
					Local { [ - 1e-6*sigma[]*( - Cross[velocity[],{Curl a}] ) ]; In ConducRot;
					Jacobian JacobVol; }
				}
			}
			{ Name ja;
				Value {
					Local { [ - 1e-6*sigma[]*( Dt[{a}] + {e} ) ]; In ConducRot;
					Jacobian JacobVol; }
				}
			}
			{ Name jr;
				Value {
					Local { [ - 1e-6*sigma[]*( Dt[{a}] + {e} - Cross[velocity[],{Curl a}] ) ]; In ConducRot;
					Jacobian JacobVol; }
				}
			}
			{ Name js;
				Value {
					Local { [ 1e-6*( {js} ) ] ; In ConducEst;
					Jacobian JacobVol; }
				}
			}
			{ Name Ir;
				Value {
					Local { [ {I} ]; In ConducRot; }
				}
			}
		}
	}
}
